## haskell-doc 19991028

=== Makefile ===

include defs.mk

docdir := $(datadir)/haskell-doc
libdocdir := $(docdir)/library-report
langdocdir := $(docdir)/report
tutdocdir := $(docdir)/tutorial

libfiles := $(shell cd haskell98-library-report && echo *)
langfiles := $(shell cd haskell98-report && echo *)
tutfiles := arrays.html   functions.html         io.html         pitfalls.html \
classes.html  goodies.html           modules.html    stdclasses.html \
              haskell-tutorial.html  monads.html     title.gif \
end.html      index.html             moretypes.html \
fig1.gif      indextutorial.html     numbers.html \
fig2.gif      intro.html             patterns.html 
tutcodefiles := \
code/Fringe.lhs   code/part12.lhs  code/part2.lhs   code/part4.lhs \
code/Tree.lhs     code/part13.lhs  code/part20.lhs  code/part5.lhs \
code/TreeADT.lhs  code/part14.lhs  code/part21.lhs  code/part6.lhs \
code/index.html   code/part15.lhs  code/part22.lhs  code/part7.lhs \
                  code/part16.lhs  code/part23.lhs  code/part8.lhs \
code/part1.lhs    code/part17.lhs  code/part24.lhs  code/part9.lhs \
code/part10.lhs   code/part18.lhs  code/part25.lhs \
code/part11.lhs   code/part19.lhs  code/part3.lhs


package := haskell-doc
version := 19991028

all : tut.stamp

tut.stamp: patch.stamp
	$(MAKE) -C haskell-98-tutorial-sources verbatim
	cd haskell-98-tutorial-sources && ./make-html && ./make-html
	touch $@

patch.stamp :
	cd haskell-98-tutorial-sources && \
	   patch < ../make-html.patch && \
	   patch < ../tex_hs.patch
	touch $@

unpatch : patch.stamp
	cd haskell-98-tutorial-sources && \
	   patch -fR < ../make-html.patch && \
	   patch -fR < ../tex_hs.patch
	rm $<

clean : unpatch
	$(RM) haskell-98-tutorial-sources/make-html.orig
	$(RM) haskell-98-tutorial-sources/make-html.rej
	$(RM) haskell-98-tutorial-sources/tex.hs.orig
	$(RM) haskell-98-tutorial-sources/tex.hs.rej
	$(RM) -r haskell-98-tutorial-sources/html/
	$(RM) haskell-98-tutorial-sources/verbatim
	$(RM) haskell-98-tutorial-sources/tutrefs
	$(RM) tut.stamp

install : tut.stamp
	$(INSTALL) -d $(docdir)
	$(INSTALL_DATA) index.html $(docdir)
	$(INSTALL_DATA) haskell98-bugs.html $(docdir)
	$(INSTALL_DATA) haskell98-report/h98.gif $(docdir)
	$(INSTALL) -d $(libdocdir)
	$(INSTALL_DATA) $(addprefix haskell98-library-report/, $(libfiles)) $(libdocdir)
	$(INSTALL) -d $(langdocdir)
	$(INSTALL_DATA) $(addprefix haskell98-report/, $(langfiles)) $(langdocdir)
	$(INSTALL) -d $(tutdocdir)
	$(INSTALL_DATA) $(addprefix haskell-98-tutorial-sources/html/, $(tutfiles)) $(tutdocdir)
	$(INSTALL) -d $(tutdocdir)/code
	$(INSTALL_DATA) $(addprefix haskell-98-tutorial-sources/html/, $(tutcodefiles)) $(tutdocdir)/code

uninstall :
	$(RM) $(addprefix $(libdocdir)/, $(libfiles))
	$(RM) $(addprefix $(langdocdir)/, $(langfiles))
	$(RM) $(addprefix $(tutdocdir)/, $(tutfiles))
	$(RM) $(addprefix $(tutdocdir)/, $(tutcodefiles))
	$(RM) $(docdir)/index.html
	$(RM) $(docdir)/haskell98-bugs
	-$(RMDIR) $(libdocdir)
	-$(RMDIR) $(langdocdir)
	-$(RMDIR) $(tutdocdir)/code
	-$(RMDIR) $(tutdocdir)

dist :	clean
	$(RM) -r $(package)-$(version)
	$(RM) $(package)-$(version).tar $(package)-$(version).tar.gz
	$(MKDIR) $(package)-$(version)
	$(LN) README $(package)-$(version)
	$(LN) ChangeLog $(package)-$(version)
	$(LN) Makefile defs.mk $(package)-$(version)
	$(LN) index.html $(package)-$(version)
	$(LN) *.patch $(package)-$(version)
	$(LN) haskell98-bugs.html $(package)-$(version)
	$(MKDIR) $(package)-$(version)/haskell98-report
	$(LN) $(addprefix haskell98-report/, $(langfiles)) $(package)-$(version)/haskell98-report
	$(MKDIR) $(package)-$(version)/haskell98-library-report
	$(LN) $(addprefix haskell98-library-report/, $(libfiles)) $(package)-$(version)/haskell98-library-report
	cp -r haskell-98-tutorial-sources $(package)-$(version)
	$(TAR) cf $(package)-$(version).tar $(package)-$(version)
	$(GZIP) -9 $(package)-$(version).tar

## haskell-doc 20030420

=== debian/changelog ===
haskell-doc (20030420) unstable; urgency=low

  * Content split out to haskell98-report and haskell98-tutorial.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sun, 20 Apr 2003 17:44:00 +0100

haskell-doc (19991028-3) unstable; urgency=low

  * Change packaging to use debhelper.
  * Fixed references in Gentle Introduction [Ganesh Sittampalam].
    Closes: #105685.
  * Changed maintainer to Ian Lynagh.
  * Minor grammatical corrections to description.
  * Corrected and updated build depends (added flex, debhelper, tetex-bin,
    fakeroot).

 -- Ian Lynagh <igloo@debian.org>  Sun, 24 Nov 2002 23:15:26 +0000

haskell-doc (19991028-2) unstable; urgency=low

  * Add Ian Lynagh to Uploaders, in preparation of he
    and Ganesh Sittampalam taking over as the principal
    co-maintainers in the future.  Closes: #88224.
  * Upgrade Standards-Version to 3.5.7
    + Add build-time dependencies.  Closes: #126071.
    + No longer create /usr/doc links.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed, 13 Nov 2002 20:47:09 +0200

haskell-doc (19991028-1) unstable; urgency=low

  * New upstream release.
     + All documents are now DFSG free.
  * debian/copyright: Note new licenses.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu, 28 Oct 1999 16:30:59 +0300

haskell-doc (19991022-2) unstable; urgency=low

  * debian/control: Move to main.
      This package contains two documents, the Haskell 98 report
      and the Haskell 98 Library Report, which are not DFSG-compliant.
      The only point that they fail is the requirement for free
      modification.  However, because these two documents define the Haskell
      language, and because Debian has accepted in main that kind
      of documents (the doc-rfc package, for example) even when they
      are not strictly free, I believe this package belongs in main.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 23 Oct 1999 19:27:21 +0300

haskell-doc (19991022-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Updated.
  * debian/control (Description): Updated
  * debian/control (Standards-Version): Updated to 3.0.1,
    no changes to package necessary.
  * debian/haskell98-{lib,lang}: Updated paths.
  * debian/haskell98-tut: New file.
  * debian/{rules,prerm,postrm}: Use the new haskell98-tut
    file with doc-base.
  * debian/rules: build the tutorial in the build target.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri, 22 Oct 1999 17:28:25 +0300

haskell-doc (19990909-2) unstable; urgency=low

  * debian/copyright: Fixed a trivial error in the upstream URL.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri, 10 Sep 1999 00:19:29 +0300

haskell-doc (19990909-1) unstable; urgency=low

  * Denativized the source.  Closes: #44328.
      + debian/copyright: Rephrased.
  * debian/rules: Modernized.
      + Factorize install into a variable.
      + Don't use $(install_zipped)
      + Use stamp files.
      + Don't test for rootness
      + Remove $(rootdir) on start of build target.
      + Use -isp with dpkg-gencontrol.
  * debian/{prerm,postinst}: Implement the FHS transition scheme.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu,  9 Sep 1999 23:37:41 +0300

haskell-doc (19990712) unstable; urgency=low

  * Updated errata.
  * debian/copyright: updated.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon, 12 Jul 1999 23:25:00 +0300

haskell-doc (19990701) unstable; urgency=low

  * Upgraded Standards-Version to 3.0.0.0 with necessary
    changes to debian/rules and the doc-base files.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu,  1 Jul 1999 17:30:07 +0300

haskell-doc (19990620) unstable; urgency=low

  * Updated errata.
  * Include a symlink from the h98.gif in the language
    report to $(docdir).
  * Clean backup files from the toplevel
    directory too.
  * Switched to a new version numbering scheme
    indicating the date of the update.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 20 Jun 1999 20:49:25 +0300

haskell-doc (1) unstable; urgency=low

  * Initial release.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed, 28 Apr 1999 19:15:30 +0300

=== debian/control ===
Source: haskell-doc
Maintainer: Ian Lynagh <igloo@debian.org>
Section: doc
Priority: optional
Standards-Version: 3.5.9.0
Build-Depends-Indep: debhelper (>> 3.0.0)

Package: haskell-doc
Architecture: all
Depends: haskell98-report, haskell98-tutorial
Suggests: hugs | ghc5 | nhc98 | ghc4
Description: Assorted Haskell language documentation
 This metapackage provides all the documentation for Haskell, "the"
 standard lazy functional programming language, packaged for Debian.

## haskell-doc 20061127

=== debian/changelog ===
haskell-doc (20061127) unstable; urgency=low

  * Remove duplicate files in source tarball.
  * Update suggested implementations to match those in the archive
    (ghc6 | hugs). Closes: #321153.
  * Builddep on at least version 4 of debhelper (was version 3).
  * Remove empty postinst postrm preinst prerm.
  * Update standards version to 3.7.2.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 27 Nov 2006 20:02:34 +0000

=== debian/control ===
Source: haskell-doc
Maintainer: Ian Lynagh (wibble) <igloo@debian.org>
Section: doc
Priority: optional
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 4)

Package: haskell-doc
Architecture: all
Depends: haskell98-report, haskell98-tutorial
Suggests: ghc6 | hugs
Description: Assorted Haskell language documentation
 This metapackage provides all the documentation for Haskell, "the"
 standard lazy functional programming language, packaged for Debian.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 
# Modified for haskell-doc by Ian Lynagh.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
	@:

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## haskell-doc 20061128

=== debian/changelog ===
haskell-doc (20061128) unstable; urgency=medium

  * QA upload.
  * Switch to dh.
  * Package is orphaned (Bug #772423), set maintainer to "Debian QA Group".
  * Raise debhelper compat level to 9. Closes: #817492.

 -- Santiago Vila <sanvila@debian.org>  Fri, 26 Aug 2016 00:20:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: haskell-doc
-Maintainer: Ian Lynagh (wibble) <igloo@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: doc
 Priority: optional
-Standards-Version: 3.7.2
-Build-Depends: debhelper (>= 4)
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9)
 
 Package: haskell-doc
 Architecture: all
